SDL_hid_set_nonblocking(3)

NAME
SDL_hid_set_nonblocking - Set the device handle to be non-blocking.

HEADER FILE
Defined in SDL3/SDL_hidapi.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_hid_set_nonblocking(SDL_hid_device *dev, int nonblock);

DESCRIPTION
In non-blocking mode calls to SDL_hid_read () will return immediately with a value of 0 if there is no data to be read. In blocking mode, SDL_hid_read () will wait (block) until there is data to read before returning. Nonblocking can be turned on and off at any time.

FUNCTION PARAMETERS

dev A device handle returned from SDL_hid_open ().

nonblock
    enable or not the nonblocking reads - 1 to enable nonblocking - 0 to disable nonblocking.

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.